{#<pagetitle>NHS.UK | Are you in the armed forces</pagetitle>#}
{% from '../../../common/components/heading/macro.njk' import heading %}
{% from '../../../common/components/p/macro.njk' import p %}
{% from '../../../common/components/button/macro.njk' import button %}
{% from '../../../common/components/radios/macro.njk' import radios %}

<form action="armed-forces-check-died" class="form" method="post">
    <fieldset class="nhsuk-fieldset">
        {{
            heading({
                subHeading:{ text: 'armed-forces-check-died.section.heading'},
                text: 'armed-forces-check-died.h1',
                classes: 'nhsuk-fieldset__heading',
                locale: locale
            })
        }}
        <div class="nhsuk-form-group {% if errors %} nhsuk-form-group--error {% endif %}" id="radios-vaccineLocation">
            {% for error in errors %}
                <span class="nhsuk-error-message" id=vaccine-location-error" style="display: block;">
                  {{ __({phrase: error.msg, locale: error.locale }) }}
                </span>
            {% endfor %}
            {{ radios({
              "idPrefix": "add-forces-check-died-error",
              "name": "armForcesCheck",
              "items": [
                {
                  "checked": (data.Data.armForcesCheck === 'Yes'),
                  "id": "Yes",
                  "value": "Yes",
                  "text": "armed-forces-check-died.option1",
                  "locale": locale
                },
                {
                  "checked": (data.Data.armForcesCheck === 'No'),
                  "id": "No",
                  "value": "No",
                  "text": "armed-forces-check-died.option2",
                  "locale": locale
                }
              ]
            }) }}
        </div>
    </fieldset>
    <br>
    {{ button({
      type: "submit",
      text: "common.button.continue",
      locale: locale
    }) }}
</form>
